package edu.stanford.peer.rbtm.util;


import edu.stanford.peer.rbtm.credential.EntityExpression;

/**
 * A predicate function which tests an object and returns the results. The
 * class also provides an object reference which may be null.
 */
public interface Predicate extends java.io.Serializable 
{
    public static final String SIMP = "simple";

    public static final String SENS = "sensitive";

    public static final String OPPO = "opponent";

    /** 
     * The testing function for a predicate.
     * @return the success or failure of the predicate 
     */
    public boolean test(EntityExpression expr);

}
